GuidesAPI Reference
Guides

Stations



This resource retrieves a list of charging stations for electric vehicles that match the specified criteria.

Requests against this resource use the HTTP GET method. The search criteria are specified by means of query parameters, which must include a search geometry.

A search geometry can be one of:

  • prox – a circular area defined by the coordinates of its center and a radius.
  • corridor – a path defined by a set of points comprised of latitude and longitude coordinates, and a width.
  • bbox – a square defined by its top left latitude and longitude and its bottom right latitude and longitude.

Request example

The following code block, using a bearer token, shows a search request for charging stations in Berlin:

GET https://ev-v2.cc.api.here.com/ev/stations.xml
?prox=52.516667,13.383333,5000
-H 'Authorization: Bearer {YOUR_TOKEN}'

The following code block, using an API key, shows a search request for charging stations in Berlin:

GET
https://ev-v2.cc.api.here.com/ev/stations.xml
?prox=52.516667,13.383333,5000&apiKey={YOUR_API_KEY};

The following code block, using a Bearer token, shows a search request for charging stations in Berlin with a connectortype filter applied:

GET https://ev-v2.cc.api.here.com/ev/stations.xml
?prox=52.516667,13.383333,5000
&connectortype=30,31
-H 'Authorization: Bearer {YOUR_TOKEN}'

The following code block shows a search request with filtering for multiple eMSP partner IDs:

GET https://ev-v2.cc.api.here.com/ev/stations.xml
?prox=52.516667,13.383333,5000
&emsp=1f351b84-cca5-11ed-8155-42010aa40002,1f39ad02-cca5-11ed-9d1a-42010aa40002
-H 'Authorization: Bearer {YOUR_TOKEN}'

The following code block, using an API key, shows a search request for charging stations in Berlin with multiple connector types filters:

GET
https://ev-v2.cc.api.here.com/ev/stations.xml
?prox=52.516667,13.383333,5000&apiKey={YOUR_API_KEY};
             

The table below documents both mandatory and optional request parameters availble for this resource.

Parameter

Required

Description

app_id - Legacy

Yes

A-20 byte Base64 URL-safe encoded string used for the authentication of the client application.

You must include an app_id and app_code with every request. For more information on authentication, see the Identity & Access Management Developer Guide .

app_code - Legacy

Yes

A-20 byte Base64 URL-safe encoded string used for the authentication of the client application.

You must include an app_id and app_code with every request. For more information on authentication, see the Identity & Access Management Developer Guide .

bbox

Each request requires one of prox, bbox or corridor

A bounding box defined by the latitude and longitude coordinates of its top left and bottom right corners. Coordinates must be WGS84 compliant. The top left and bottom right pairs are separated by a semicolon and the latitude/longitude pairs are separated by commas. For example, one possible bounding box value is bbox=52.8,11.37309;52.31,13.2. The bounding box can have a maximum height and/or width of 400km. If this limit is exceeded, the service responds with 'HTTP 400 Bad Request' response.

prox

Each request requires one of prox, bbox or corridor

A circular search area defined by the latitude and longitude of its center and an integer representing the radius of the area in meters, all separated by commas. The center point's coordinates must be WGS84 compliant. As an example, prox=52.516667,13.383333,5000 searches for charging stations within 5km of latitude 52.50° N and 13.55 ° E, which is centered on Berlin. The radius can have a maximum of 200 kilometers.

corridor

Each request requires one of prox, bbox or corridor

A rectangular area defined by a semicolon-separated list of points, or pairs of comma-separated latitude and longitude coordinates that are WGS84 compliant. For example, corridor=52.51666,13.38333; 52.13333,11.61666; 53.56527,10.00138 specifies a journey from Berlin to Hamburg via Magdeburg. The maximum corridor area is 5000 square kilometers. If this limit is exceeded, the service responds with 'HTTP 400 Bad Request' response. Requests to the stations resource have a maximum size of 4 kb. If the URL size exceeds 4 kb (approximately 4000 characters in length), use the POST HTTP method for this resource. Since the corridor query parameter can contain a large amount of information, avoid using more than 150 points (latitude/longitude pairs with an accuracy of 5 decimal points - for example, 11.37309). However, also note that the amount of data you can include depends on the exact formulation of the request.

connectortype

Optional

Comma-separated list of integer values identifying the connector types returned in the response. You can retrieve the list of currently supported connector types using the connectortypes resource. For more information on the current connector types, see Connector Types.

powerfeedtype

Optional

An integer identifying the type of powerfeed included in the response. This information is only provided for charging stations in North America and Australia. If you use this query parameter in requests for search geometries in regions that do not report this information, then the response will not contain any charging stations. Available values are:

  • 0 – Unspecified
  • 1 – Level 1
  • 2 – Level 2
  • 3 – Level 3
  • 4 – Other
You can retrieve the list of currently supported powerfeed types using the powerfeedtypes resource. For more information on the currently supported power feed types, see Powerfeed Types.

emsp

Optional

At least one roaming attribute in the station must have a partner_id value equal to this parameter. You can retrieve the list of currently present roaming/eMSP providers using the roamings resource.

corridorwidth

Optional

The width of the corridor in meters. This parameter only applies if corridor is included in the request. The maximum corridor width is 20 km. The default width is 5000 meters.

powermin

Optional

At least one connector in the station must have a maxPowerLevel value greater than or equal to this parameter. Accepted value types are floats, such as powermin=11.6.

powermax

Optional

At least one connector in the station must have a maxPowerLevel value less than or equal to this parameter. Accepted value types are floats, such as powermax=55.3.

sortkey

Optional

Criteria for sorting a list of search results. The possible values are:

  • distance, which sorts stations in the response by the distance from the location specified by the prox query parameter. Accordingly, this sort key is only supported when requesting stations with the prox parameter.
  • locationname, which sorts stations in the response according to the name element in the evStation element.
  • none – no sorting is applied.
Default: distance

sortorder

Optional

The sort order in the response. The possible values are:

  • asc(ascending)
  • desc(descending)
Default: asc

maxresults

Optional

The maximum number of results a response can contain. Maximum allowed value: 500. If a value greater than 500 is specified, the application will still return only 500 results. This parameter can be used with the offset parameter in the query and HasMore in the response for pagination. Default: 50

offset

Optional

A value specifying the index of the first result. The offset together with the maxresults value can support a paging mechanism on search results. This parameter can be used with the maxresults parameter in the query and HasMore in the response for pagination. Default: 0

Response to this Request

For more information on responses to queries against the stations resource, see Stations Response .